
// Includes C
#include <stdio.h>

// Includes propietarios NDS
#include <nds.h>

// Includes librerias propias
#include <nf_lib.h>

#define SCREEN_WIDTH 256
#define SCREEN_HEIGHT 192

int main(int argc, char **argv) {

	NF_Set2D(0,0);
	NF_Set2D(1,0);
	NF_Set3D(1,0);
	NF_InitTiledBgBuffers();
	NF_InitTiledBgSys(0);
	NF_InitTiledBgSys(1);
	NF_InitSpriteBuffers();
	NF_InitSpriteSys(1);
	NF_Init3dSpriteSys();
	NF_InitTextSys(1);
	NF_SetRootFolder("NITROFS");

	NF_LoadSpriteGfx("text",0,64,32);
	NF_LoadSpritePal("text",0);
	NF_Vram3dSpriteGfx(0,0,false);
	NF_Vram3dSpritePal(0,0);

	NF_LoadSpriteGfx("score_atlas",1,8,32);
	NF_LoadSpritePal("score",1);
	NF_VramSpriteGfx(1,1,1,false);
	NF_VramSpritePal(1,1,1);

	bool scale_up = true;
	bool scale_down = false;
	int index1 = 64;
	int index2 = 72;
	bool SPRITES_CREATED = false;
	int x = (SCREEN_WIDTH/2 - 8/2);
	int y = (SCREEN_HEIGHT/2 - 32/2);
	int x_pos1 = (SCREEN_WIDTH/2 - 64/2) + 30;
	int y_pos1 = (SCREEN_HEIGHT/2 - 32/2) - 30;
	int x_pos2 = (SCREEN_WIDTH/2 - 64/2) - 30;
	int y_pos2 = (SCREEN_HEIGHT/2 - 32/2) + 30;
	
	NF_Create3dSprite(0,0,0,x_pos1,y_pos1);
	NF_Create3dSprite(1,0,0,x_pos2, y_pos2);
	NF_Set3dSpriteFrame(0,0);
	NF_Set3dSpriteFrame(1,1);
	NF_Rotate3dSprite(0,0,0,128);
	NF_Rotate3dSprite(1,0,0,128);
	int score = 0;

	NF_LoadTextFont("superball-font","superfont",256,256,0);
	NF_CreateTextLayer(1,1,0,"superfont");
	NF_WriteText(1,1,(SCREEN_WIDTH/2),SCREEN_HEIGHT - 16, "Welcome To Superball");
	while(1) {
		NF_CreateSprite(1,0,1,1,x,y);
		NF_CreateSprite(1,1,1,1,x+8,y);
		NF_CreateSprite(1,2,1,1,x+16,y);
		NF_CreateSprite(1,3,1,1,x+24,y);
		NF_CreateSprite(1,4,1,1,x+32,y);
		score+=1;
		if (score != 0) {
			if (score > 9999)
				NF_SpriteFrame(1,0,score/10000%10);
			if (score > 999)
				NF_SpriteFrame(1,1,score/1000%10);
			if (score > 99)
				NF_SpriteFrame(1,2,score/100%10);
			if (score > 9)
				NF_SpriteFrame(1,3,score/10%10);
			NF_SpriteFrame(1,4,score%10);
		}
		NF_SpriteOamSet(1);
		NF_Draw3dSprites();
		glFlush(0);
		swiWaitForVBlank();
		oamUpdate(&oamSub);
		NF_UpdateTextLayers();
		//NF_Update3dSpritesGfx();	// Espera al sincronismo vertical

	}

	return 0;

}
